package com.tzld.piaoquan.api.common.enums;

/**
 * 异常枚举
 * 通用 code三位负整数
 * 业务 code四位正整数，其中第一位代表功能模块
 */

public enum ExceptionEnum {

    // 通用code为三位负整数
    SYSTEM_ERROR(-101, "系统错误"),
    DATA_ERROR(-102, "数据异常,请联系管理员"),
    PARAM_ERROR(-103, "参数异常"),

    // 平台账户
    Not_LOGIN(1000, "登录失效，请重新登录。"),
    EMAIL_VERIFY_CODE_NOT_EXIST(1001, "验证码不存在"),
    EMAIL_VERIFY_CODE_USED(1001, "验证码已被使用"),
    EMAIL_VERIFY_CODE_EXPIRED(1002, "验证码已过期"),
    LOGIN_PASSWORD_WRONG(1003, "登录失败-账号或密码错误"),
    TEL_NUM_EXISTS_WRONG(1004, "联系人号码已存在"),
    CHANNEL_EXISTS_WRONG(1005, "渠道已存在"),
    CHANNEL_NULL_WRONG(1006, "渠道不能为空"),
    ACCOUNT_BANNED(1007, "账号被封禁"),
    USER_NOT_EXIST(1008, "user not exist"),
    SmsCodeExpired(1010, "短信验证码无效"),
    ACCOUNT_NOT_EXISTS_WRONG(1011, "用户不存在"),

    // 合作账号
    GZH_EXISTS(2000, "公众号已由别的用户授权，该用户不能再授权此公众号，请联系平台运营"),
    GZH_DELETE_PLAN_EXISTS(2001, "公众号下存在未删除计划，无法删除"),

    // 公众号计划
    GZH_SCENE_PLAN_EXISTS(3000, "公众号该类型计划已存在"),
    GZH_PLAN_NOT_EXISTS(3001, "公众号计划不存在"),
    GZH_PLAN_VIDEO_SIZE_EXCEED(3002, "计划视频数量超过限制"),
    QW_PLAN_NOT_EXISTS(3003, "企微计划不存在"),
    GZH_ACCOUNT_NOT_EXISTS(3004, "公众号不存在"),
    GZH_ACCOUNT_NOT_AUTH(3005, "公众号未授权，无法使用平台发布"),
    ;
    private int code;
    private String msg;

    public int getCode() {
        return code;
    }


    public String getMsg() {
        return msg;
    }

    ExceptionEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
